function [ c ] = C2c( C )
%{ 
coverts  matrix notation stiffness C(;,:) 
to tensor notation stiffness c(:,:,:,:)
%}
%% pick up the terms of the matrix stiffness C(:,:)
%% fill in the terms of the stiffness tensor c(:,:,:,:) using the 
% tensor2Voigt indices: 11=1, 22=2, 33=3, 12=21=6, 13=31=5, 23=32=4   
c(:,:,1,1)= [C(1,1) C(6,1)  C(5,1);
             C(6,1) C(2,1)  C(4,1);
             C(5,1) C(4,1)  C(3,1)];

c(:,:,1,2)= [C(1,6) C(6,6)  C(5,6);
             C(6,6) C(2,6)  C(4,6);
             C(5,6) C(4,6)  C(3,6)];

c(:,:,1,3)= [C(1,5) C(6,5)  C(5,5);
             C(6,5) C(2,5)  C(4,5);
             C(5,5) C(4,5)  C(3,5)];

c(:,:,2,1)= [C(1,6) C(6,6)  C(5,6);
             C(6,6) C(2,6)  C(4,6);
             C(5,6) C(4,6)  C(3,6)];
         
c(:,:,2,2)= [C(1,2) C(6,2)  C(5,2);
             C(6,2) C(2,2)  C(4,2);
             C(5,2) C(4,2)  C(3,2)];

c(:,:,2,3)= [C(1,4) C(6,4)  C(5,4);
             C(6,4) C(2,4)  C(4,4);
             C(5,4) C(4,4)  C(3,4)];

c(:,:,3,1)= [C(1,5) C(6,5)  C(5,5);
             C(6,5) C(2,5)  C(4,5);
             C(5,5) C(4,5)  C(3,5)];

c(:,:,3,2)= [C(1,4) C(6,4)  C(5,4);
             C(6,4) C(2,4)  C(4,4);
             C(5,4) C(4,4)  C(3,4)];
         
c(:,:,3,3)= [C(1,3) C(6,3)  C(5,3);
             C(6,3) C(2,3)  C(4,3);
             C(5,3) C(4,3)  C(3,3)];
        
% display(c,'in C2c, c=')

end

