function [C_, rho] = CFRP_orthotropic
%{ 
fully orthotropic CFRP
woven lamina, Calomfirescu dissertation Table 5.3, p46
local stiffness matrix (material axes) 
%}
%%  initial data: material properties, units
GPa=1e9; 
rho=1500; % density 
% local stiffness matrix C_
%% define upper triangle
C_=[ 70.0   23.9    6.2     0       0       0       ;
      0     33.0    6.8     0       0       0       ;
      0      0     14.7     0       0       0       ;
      0      0      0       4.2     0       0       ;
      0      0      0       0       4.7     0       ;
      0      0      0       0    0          21.9    ]*GPa;
%% symmetrize the matrix
C_(2,1)=C_(1,2);
C_(3,1)=C_(1,3); C_(3,2)=C_(2,3);
% display(C_/GPa,'C_, GPa')

end

