function [C_, rho] = alum_7075_T6
%{
MATLAB R2015b
calculate isotropic compliance matrix S and stiffness matrix C
for isotropic material aluminum 7075 T6
%}
%% initialization and constants
clc         % clear command window 
clear       % clear workspace
close all   % close all figures
GPa=1e9;
%% aluminum 7075-T6
% material properties
rho=2810;   % density, kg/m3
E_al=71.7*GPa;   nu_al=0.33;     % elastic properties 
%% compliance matrix S
E=E_al; nu=nu_al;
%% Lame constants
lambda=nu/((1+nu)*(1-2*nu))*E; mu=E/(2*(1+nu));

%% stiffness matrix C
C_=[ lambda+2*mu     lambda      lambda      0   0   0;
    lambda          lambda+2*mu lambda      0   0   0;
    lambda          lambda      lambda+2*mu 0   0   0;
    0               0           0           mu  0   0;
    0               0           0           0   mu  0;
    0               0           0           0   0   mu];
% display(C/GPa,'C aluminum 7075-T6, GPa')
% display(C*S,'verify C*S=I for aluminum')

end






















