function [ Q ] = rot2D( Q_, th)
% rotates the local stiffness matrix Q_ into the global stiffness matrix Q
% rotation angle is th
% rotation matrix is T2D
c=cos(th); s=sin(th);
% display(Q_,'in rot2D, Q_')
T2D=[ c^2  s^2    2*s*c ;
      s^2  c^2   -2*s*c ;
     -s*c  s*c   c^2-s^2 ];
% display(T2D,'in rot2D, T2D=')
I=eye(3); T2Dinv=I/T2D; % invert rotation matrix
% display(T2Dinv,'in rot2D, T2Dinv=')
Q=T2Dinv*Q_*T2Dinv'; % calculate rotated stiffness matrix
% display(Q,'in rot2D, Q')
end

