function [ C ] = rot3D( C_, th)
% rotates the local stiffness matrix C_ into the global stiffness matrix C
% angle th
% rotation matrix T
c=cos(th); s=sin(th);
T3D=[c^2 s^2  0 0  0  2*s*c ;
     s^2 c^2  0 0  0 -2*s*c ;
     0   0    1 0  0    0   ;
     0   0    0 c -s    0   ;
     0   0    0 s  c    0   ;
    -s*c s*c  0 0  0 c^2-s^2 ];
I=eye(6); 
Tinv3D=T3D\I; % invert rotation matrix
% display(Tinv3D)
C=Tinv3D*C_*Tinv3D'; % calculate rotated stiffness matrix

end

